<template>
  <div
    :disabled="disabled"
    tabIndex="0"
    class="dibs--btn"
    :data-padding="padding"
    @click="clicked"
    @keyup.enter="clicked"
    @keyup.space="clicked"
  >
    {{ label }}
    <div v-if="picto" class="dibs--btn--picto">
      <template v-if="picto == 'forward'">
        <dibs-picto-forward />
      </template>
    </div>
  </div>
</template>
<script>
// import Foo from "~/components/foo.vue";
export default {
  components: {
    // Foo
  },
  props: {
    goto: {
      type: [String],
      required: false,
      default: null,
    },
    href: {
      type: [String],
      required: false,
      default: null,
    },
    label: {
      type: [String],
      required: true,
    },
    picto: {
      type: [String],
      default: null,
      required: false,
    },
    padding: {
      type: [String],
      default: 'medium',
      required: false,
    },
    disabled: {
      type: [Boolean],
      default: false,
    },
  },
  data() {
    return {}
  },
  methods: {
    clicked: function () {
      if (this.disabled) {
        return false
      }
      if (this.goto) {
        this.$router.push(this.localePath(this.goto))
      }
      if (this.href) {
        window.location.href = this.href
      }
      this.$emit('click')
    },
  },
}
</script>
<style></style>
